
QGIS Application - Bug report #14360

Failed ASSERT: "!running.contains( job.layerId )"

2016-02-22 11:37 PM - Sandro Santilli

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22344

Description

As  of commit:976015a38dedb22c16a84cf8c741d052905f20b9 I got an assertion failure while zooming in and out of a topology view.

It was an high zoom, used to debug robustness issues.

Backtrace:

bt

#0  0x00007ffa64953cc9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

#1  0x00007ffa649570d8 in __GI_abort () at abort.c:89

#2  0x0000000000406bde in myMessageOutput (type=QtFatalMsg, 

    msg=0x7ff9a400f488 "ASSERT: \\"!running.contains( job.layerId )\\" in file

/usr/src/qgis/qgis-master/src/core/qgsmaprendererparalleljob.cpp, line 243") at /usr/src/qgis/qgis-master/src/app/main.cpp:386

#3  0x00007ffa65f1fbb1 in qt_message_output(QtMsgType, char const*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#4  0x00007ffa65f1fff9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#5  0x00007ffa65f20804 in qFatal(char const*, ...) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#6  0x00007ffa66f1d798 in QgsMapRendererParallelJob::renderLayerStatic (job=...)

    at /usr/src/qgis/qgis-master/src/core/qgsmaprendererparalleljob.cpp:243

#7  0x00007ffa66f22b78 in QtConcurrent::FunctionWrapper1<void, LayerRenderJob&>::operator() (this=0x54a29e8, u=...)

    at /usr/include/qt4/QtCore/qtconcurrentfunctionwrappers.h:86

#8  0x00007ffa66f22674 in QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator, QtConcurrent::FunctionWrapper1<void,

LayerRenderJob&> >::runIteration (this=0x54a29b0, it=...) at /usr/include/qt4/QtCore/qtconcurrentmapkernel.h:73

#9  0x00007ffa66f22756 in QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator, QtConcurrent::FunctionWrapper1<void,

LayerRenderJob&> >::runIterations (this=0x54a29b0, sequenceBeginIterator=..., beginIndex=0, endIndex=1) at

/usr/include/qt4/QtCore/qtconcurrentmapkernel.h:82

#10 0x00007ffa66f2300f in QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator, void>::forThreadFunction

(this=0x54a29b0)

    at /usr/include/qt4/QtCore/qtconcurrentiteratekernel.h:263

#11 0x00007ffa66f22a48 in QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator, void>::threadFunction

(this=0x54a29b0)

    at /usr/include/qt4/QtCore/qtconcurrentiteratekernel.h:225

#12 0x00007ffa65f1c005 in QtConcurrent::ThreadEngineBase::run() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#13 0x00007ffa65f1dfee in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#14 0x00007ffa65f2a32f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#15 0x00007ffa5dfef182 in start_thread (arg=0x7ff9bcaa1700) at pthread_create.c:312

#16 0x00007ffa64a1747d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Related issues:

Related to QGIS Application - Bug report # 14369: Floating point exception (c... Closed 2016-02-24
Associated revisions

Revision 9197e1ee - 2016-02-23 08:39 AM - Jürgen Fischer

remove assertion (fixes #14360)

History

#1 - 2016-02-22 11:40 PM - Sandro Santilli

NOTE: it takes a debug build to trigger (code protected in defined QGISDEBUG conditional):

https://github.com/qgis/QGIS/blob/976015a38dedb22c16a84cf8c741d052905f20b9/src/core/qgsmaprendererparalleljob.cpp#L243

#2 - 2016-02-22 11:41 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"9197e1ee79e18b3565c49634d51024a662596c73".

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
https://github.com/qgis/QGIS/blob/976015a38dedb22c16a84cf8c741d052905f20b9/src/core/qgsmaprendererparalleljob.cpp#L243

